com.ibm.openpages.api.workflow

## Class StartProcessesOptions

- java.lang.Object
- - com.ibm.openpages.api.AbstractBulkInputModel
  - - com.ibm.openpages.api.workflow.StartProcessesOptions

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    BulkWorkflowActionOptions

      public class StartProcessesOptions
      extends AbstractBulkInputModel
      implements java.io.Serializable

  Represents the options to start workflows in bulk, used by `IWorkflowService.startProcessesInBulk(StartProcessesOptions)`
  Since:
    8.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StartProcessesOptions()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Id` | `getProcessDefinitionId()` Returns Id of the workflow definition to start.
    `java.util.List<Id>` | `getResourceIds()` Returns resource Ids to start workflows.
    `java.lang.Integer` | `getResultsPerPage()` Returns the number of results per page.
    `void` | `setProcessDefinitionId(Id processDefinitionId)` Assigns Id of the workflow definition to start.
    `void` | `setResourceIds(java.util.List<Id> resourceIds)` Assigns resource Ids to start workflows.
    `void` | `setResultsPerPage(java.lang.Integer resultsPerPage)` Assignes the number of results per page.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StartProcessesOptions

          public StartProcessesOptions()

  - ### Method Detail

    - #### getProcessDefinitionId

          public Id getProcessDefinitionId()

      Returns Id of the workflow definition to start.
      Returns:

    - #### setProcessDefinitionId

          public void setProcessDefinitionId(Id processDefinitionId)

      Assigns Id of the workflow definition to start.
      Parameters:
        `processDefinitionId` -

    - #### getResourceIds

          public java.util.List<Id> getResourceIds()

      Returns resource Ids to start workflows. You can leave this null and call `IWorkflowService.startProcessesInBulk(StartProcessesOptions)`, in such case, all the objects of the object type are evaluated whethere the workflow can start.
      Returns:

    - #### setResourceIds

          public void setResourceIds(java.util.List<Id> resourceIds)

      Assigns resource Ids to start workflows.
      Parameters:
        `resourceIds` -

    - #### getResultsPerPage

          public java.lang.Integer getResultsPerPage()

      Returns the number of results per page. When the workflow is started in bulk, the resources are fetched by pages. It defaults to the registry value of "/OpenPages/Platform/Workflow Implementations/OpenPages/Default Results Per Page" when the value is not assigned by `setResultsPerPage(Integer)`. If the registry is not configured, it defaults to 100.
      Returns:

    - #### setResultsPerPage

          public void setResultsPerPage(java.lang.Integer resultsPerPage)

      Assignes the number of results per page. When the workflow is started in bulk, the resources are fetched by pages.
      Parameters:
        `resultsPerPage` -

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.